﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.Server.Model
{
    /// <summary>
    /// 横向厚度记录
    /// </summary>
    public class Lc_ScanData
    {
        public Int64 ID { get; set; }
        public Int64 ProfileID { get; set; }
        public DateTime Time { get; set; }

        public DateTime EndTime { get; set; }

        /// <summary>
        /// 目标值
        /// </summary>
        public double Target { get; set; }

        /// <summary>
        /// 规格线% ，最后规格值为目标值*TolerancePercent 
        /// </summary>
        public double TolerancePercent { get; set; }

        public double K { get; set; }

        public double B { get; set; }

        public double FilmPosition { get; set; }

        public double FilmVelocity { get; set; }

        /// <summary>
        /// 膜宽度 mm
        /// </summary>
        public double FilmWidth { get; set; }

        /// <summary>
        /// 厚度均值
        /// </summary>
        public double Avg { get; set; }

        public double[] Thicks { get; set; }


        public int[] SampleADs { get; set; }
    }

    public class Lc_Sample
    {
        public Int64 ID { get; set; }

        public DateTime Time { get; set; }

        public int[] SampleADs { get; set; }
    }
}
